import request from '@/utils/request'

// 查询引流链接列表
export function listDrainageLink(query) {
  return request({
    url: '/qw/drainageLink/list',
    method: 'get',
    params: query
  })
}

// 查询引流链接详细
export function getDrainageLink(id) {
  return request({
    url: '/qw/drainageLink/' + id,
    method: 'get'
  })
}
export function statistics(query) {
  return request({
    url: '/qw/drainageLink/statistics',
    method: 'get',
    params: query
  })
}
// 新增引流链接
export function addDrainageLink(data) {
  return request({
    url: '/qw/drainageLink',
    method: 'post',
    data: data
  })
}

// 修改引流链接
export function updateDrainageLink(data) {
  return request({
    url: '/qw/drainageLink',
    method: 'put',
    data: data
  })
}

// 删除引流链接
export function delDrainageLink(id) {
  return request({
    url: '/qw/drainageLink/' + id,
    method: 'delete'
  })
}

// 导出引流链接
export function exportDrainageLink(query) {
  return request({
    url: '/qw/drainageLink/export',
    method: 'get',
    params: query
  })
}
